From ac878833a922ae3a60f6f828e9676dae36d3ccc1 Mon Sep 17 00:00:00 2001
From: tteckster <tteckster@gmail.com>
Date: Wed, 21 Sep 2022 12:22:29 -0400
Subject: [PATCH] Update post-install.sh

---
 misc/post-install.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/misc/post-install.sh b/misc/post-install.sh
index 73c32268e..21654ffd7 100644
--- a/misc/post-install.sh
+++ b/misc/post-install.sh
@@ -22,6 +22,12 @@ while true; do
         * ) echo "Please answer yes or no.";;
     esac
 done
+
+if ! command -v pveversion >/dev/null 2>&1; then
+  echo -e "\nšŸ›‘  No PVE Detected, Wrong Script!\n"
+  exit 1
+fi
+
 if [ `pveversion | grep "pve-manager/7" | wc -l` -ne 1 ]; then
         echo -e "\n${RD}⚠ This version of Proxmox Virtual Environment is not supported"
         echo -e "Requires PVE Version: 7.XX${CL}"